package sialocacao.teste;

/**
 * <p>Title: Testes.java </p>
 * <p>Description: Casos de teste para Professor. </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Fbrica III </p>
 * @author: Carlos A. Rego Andrade
 *          Fbio de Carvalho Dias Ferreira
 *          Luiz Eduardo Cunha Leite
 *          Taciana Amorim Vanderlei
 *          Vivianne da Nbrega Medeiros
 * @version 1.0
 */


import junit.framework.*;
import sialocacao.teste.professor.*;
import sialocacao.teste.disciplina.*;
import sialocacao.teste.horario.*;
import sialocacao.teste.sala.*;


public class Testes {

  public static void main(String[] args) {
    junit.textui.TestRunner.run (suite());
  }

  /**
   * Conjunto de testes para SIAlocaco
   *
   */
  public static Test suite ( ) {
    TestSuite suite = new TestSuite();
    suite.addTestSuite(sialocacao.teste.professor.ProfessorTeste.class);
    suite.addTestSuite(sialocacao.teste.disciplina.DisciplinaTeste.class);
    suite.addTestSuite(sialocacao.teste.horario.HorarioTeste.class);
    suite.addTestSuite(sialocacao.teste.sala.SalaTeste.class);
    return suite;
  }
}